summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-02-27 05:56:22 +0100
committerHans de Graaff <graaff@gentoo.org>2018-02-27 05:56:22 +0100
commitd61aa79182848d6ee7311f7861deca821da29e00 (patch)
tree2a7bd2103619885b4fc005798337fe155cb50b90 /dev-ruby/rubypants
parentdev-ruby/fivemat: add 1.3.6 (diff)
downloadgentoo-d61aa79182848d6ee7311f7861deca821da29e00.tar.gz
gentoo-d61aa79182848d6ee7311f7861deca821da29e00.tar.bz2
gentoo-d61aa79182848d6ee7311f7861deca821da29e00.zip
dev-ruby/rubypants: add 0.7.0
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'dev-ruby/rubypants')
-rw-r--r--dev-ruby/rubypants/Manifest1
-rw-r--r--dev-ruby/rubypants/rubypants-0.7.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/rubypants/Manifest b/dev-ruby/rubypants/Manifest
index 54517c43b62..c8850bd3550 100644
--- a/dev-ruby/rubypants/Manifest
+++ b/dev-ruby/rubypants/Manifest
@@ -2,3 +2,4 @@ DIST rubypants-0.2.0.gem 11264 BLAKE2B cb5e995a6739ea27c94173fc1fb5c525098d71a17
DIST rubypants-0.5.0.gem 12288 BLAKE2B eca6f1f5a478659482a82704ebadd0e2d882c8468175e18c95f5e08dd2a720c3e883cf6053da07ae853c4afe16dd71e4ffcdccb63ddb89b7b34647dfb8870aad SHA512 4815439c085da5b219bb8a9542433a1d22d8678ac7b783aaab826fdf9ea57246d246e1d00a57524cba213d37a975a670612d3b7397f7a72b5d0c7a0c62bac441
DIST rubypants-0.5.1.gem 13312 BLAKE2B a8e4e5ec2c0482a711c54041c3c8f04452fad5e26d7e1a827b22c567a7be7b01b84b0ccdc1572a3ef049b27dc936eb253d868aa58c59304fc1e616d848c8307a SHA512 50c22710628e0d9dca6b2aa51e17eaa0f63052290327b9e2401fca883300ae823442e7631bd6157c9c6cfa9f2328a97c2166f5595979ee53bd72d21b96d6b149
DIST rubypants-0.6.0.gem 13824 BLAKE2B f05beb472c22da33462d0dc70b3b6b1038d2c3a2d06db8a62b3bce58091182f15f3f45604db3a25c36513d50d36369dad7cef7047191af9cea3c3f06313578a9 SHA512 5d998bc5b19682be5590ba022eb540ba1350f661120d2916b38523a741ec6aae3f6e20825f4e72b2b1cc8200751f55c69fcf9d6b5f1ee81f214f3fea80236c14
+DIST rubypants-0.7.0.gem 13824 BLAKE2B c132b3c60390b712c08ec54b10a14255e21d9622399b9ddba8d2359915411c604052569e5713fdb4b1a3fefcc3416f4d5af16baca19063a0b79203838b8f3066 SHA512 cacd05e0cc87389b5513c83fe085db39202c2789b882b564caaded6b84b1ecb1acbde8232462dadf501c68c1c881ee7b7f4e640feec47c9c0f7a08758b5f5724
diff --git a/dev-ruby/rubypants/rubypants-0.7.0.ebuild b/dev-ruby/rubypants/rubypants-0.7.0.ebuild
new file mode 100644
index 00000000000..f9412779f74
--- /dev/null
+++ b/dev-ruby/rubypants/rubypants-0.7.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby port of the SmartyPants PHP library"
+HOMEPAGE="http://chneukirchen.org/repos/rubypants/README"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/ecov/I s:^:#:' test/helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I. test/rubypants_test.rb || die "tests failed"
+}